proc datasets lib = work kill; run;
option linesize = 130 pagesize = 9999 mprint;
dm 'log; clear; output; clear';

%let execpath = " ";
%let Path = " ";
%macro setexecpath;
  %let execpath = %sysfunc(getoption(sysin));
  %if %length(&execpath) = 0 %then
    %let execpath = %sysget(sas_execfilepath);
  data _null_;
    do i = length("&execpath") to 1 by -1;
      if substr("&execpath", i, 1) = "\" then do;
        call symput("Path", substr("&execpath", 1, i));
        stop;
      end;
    end;
  run;
%mend setexecpath;
%setexecpath;

%include "&Path.squnatile.sas";

data d1;
  call streaminit(28372);
  do r = 1 to 19;
    y = rand("normal"); output;
  end;
  keep y;
proc sort data = d1; by y;
proc print data = d1; run;

%let pr = 0.7777;
%SQuantile(d1, y, &pr., out, method=1); title "method 1"; proc print data = out; run;
%SQuantile(d1, y, &pr., out, method=2); title "method 2"; proc print data = out; run;
%SQuantile(d1, y, &pr., out, method=3); title "method 3"; proc print data = out; run;
%SQuantile(d1, y, &pr., out, method=4); title "method 4"; proc print data = out; run;
%SQuantile(d1, y, &pr., out, method=5); title "method 5"; proc print data = out; run;
%SQuantile(d1, y, &pr., out, method=6); title "method 6"; proc print data = out; run;
%SQuantile(d1, y, &pr., out, method=7); title "method 7"; proc print data = out; run;
%SQuantile(d1, y, &pr., out, method=8); title "method 8"; proc print data = out; run;
%SQuantile(d1, y, &pr., out, method=9); title "method 9"; proc print data = out; run;
